Subject: Error Installing GuixOS - #installer-dump-20c5640a

From: Faisal Shaheen <[email-masked]>
Date: Tue, 11 Feb 2025 22:01:16 +0000

Dear Guix Team,

I have been facing an issue regarding partition creation while installing Guix using the guided entire disk option. The manual option wouldn't allow me to boot the system, either.

I have uploaded the dump installer-dump-20c5640a for your reference.
This is the exact build I'm attempting to install Guix on: https://shop.nitrokey.com/shop/nitropc-pro-2-523

It's also worth mentioning that I'm intending to dual-boot QubesOS with Guix installed on a separate nvme1n1 disk. I attempted to switch the Partition Table between GPT/MBR and install the bootloader partition on both disks with no success. I am not sure if this is related to Dasharo/coreboot+heads

Your kind support is highly appreciated.

Sincerely,
Faisal